library(shiny)

shinyUI(fluidPage(

  titlePanel("Assumptions of Least Squares Regression"),

  sidebarLayout(
      sidebarPanel(
           radioButtons("whichgraph", "Type of Graphics",
             c("ggplot2" = "ggplot2","base" = "base"),inline=TRUE),
           uiOutput("checkGraph"),      
           selectInput("which", "Which Assumption?", 
                  choices = c("Linear Model","Normal Residuals","Equal Variance")),                                      
           sliderInput("step","Step",
              min=0, max=9, value=0,step=1, 
              animate=animationOptions(interval = 2000)),
          uiOutput("appinfo"),width=3
        ),
  mainPanel(
       plotOutput("plot1")
      )
  ),    
  uiOutput("explainText")    
))

